%define name adplug
%define version 1.4
%define release 1mdk
%define major 1.4
%define libname %mklibname adplug %major

Summary: AdLib sound player library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%name/%{name}-%{version}.tar.bz2
URL: http://adplug.sourceforge.net/
License: LGPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: libbinio-devel

%description
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

%package -n %libname
Group: System/Libraries
Summary: Shared library of the AdPlug audio emulator

%description -n %libname
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

This package contains the shared library required to run applications
based on AdPlug.

%package -n %libname-devel
Group: Development/C++
Summary: Development files of AdPlug
Requires: %libname = %version-%release
Provides: libadplug1.3-devel = %version-%release
Provides: libadplug-devel = %version-%release
Requires: libbinio-devel

%description -n %libname-devel
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

This package contains the C++ headers and documentation required for
building programs based on AdPlug.

%package -n %libname-static-devel
Group: Development/C++
Summary: Static library of AdPlug
Requires: %libname-devel = %version-%release

%description -n %libname-static-devel
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

This package contains the static library required for statically
linking applications based on AdPlug.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %libname-devel
%_install_info libadplug.info
%postun -n %libname-devel
%_remove_install_info libadplug.info

%files
%defattr(-,root,root)
%doc README
%_bindir/adplugdb
%_mandir/man1/adplugdb.1*


%files -n %libname
%defattr(-,root,root)
%doc AUTHORS NEWS TODO COPYING
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/adplug/*
%_libdir/*.so
%_libdir/*.la
%_infodir/libadplug.info*

%files -n %libname-static-devel
%defattr(-,root,root)
%_libdir/*.a

%changelog
* Tue Mar 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4-1mdk
- move adplugdb to an extra package
- mklibname macro
- add missing files
- drop patches
- new major
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-3mdk
- rebuild

* Fri Nov 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- fix dependancy of static-devel package

* Tue Nov 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- initial package
